org.eclipse.net4j.util.ui.views

## Class ContainerItemProvider.LazyElement

- java.lang.Object
- - org.eclipse.net4j.util.ui.views.ContainerItemProvider.SlowElement
  - - org.eclipse.net4j.util.ui.views.ContainerItemProvider.LazyElement

- Enclosing class:
    ContainerItemProvider<CONTAINER extends IContainer<java.lang.Object>>

  Deprecated.
  as of 3.5 use `ContainerItemProvider.SlowElement`.

      @Deprecated
      public class ContainerItemProvider.LazyElement
      extends ContainerItemProvider.SlowElement

  Since:
    3.1
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyElement(IContainer<java.lang.Object> container)` Deprecated.
    `LazyElement(IContainer<java.lang.Object> container, java.lang.String text)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider.SlowElement

      `getContainer, getText, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LazyElement

          public LazyElement(IContainer<java.lang.Object> container,
                             java.lang.String text)

      Deprecated.
      Since:
        3.5

    - #### LazyElement

          public LazyElement(IContainer<java.lang.Object> container)

      Deprecated.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html